<?php
/*
File Name: Wordpress Theme Toolkit
Version: 1.0
Author: Ozh
Author URI: http://planetOzh.com/
*/

include(dirname(__FILE__).'/themetoolkit.php');

themetoolkit(
'mytalian',
array(
'adsenseonoff' => 'AdSense On/Off {radio|1|AdSense ON|0|AdSense OFF} ##',
'gadsensepub' => 'AdSense Publisher ID ## Add Your Google Adsense Publisher ID<h2>Main Clickbank Options</h2> <a href="http://morearning.reseller.hop.clickbank.net/" target="_blank">Free Clickbank Signup</a>',
'clickbankonoff' => 'Clickbank On/Off {radio|1|Clickbank ON|0|Clickbank OFF} ##',
'clickbankID' => 'Clickbank Username ## Add Your Clickbank Username<br /><br /><h3>Additional AdSense Settings</h3>',
'adfloat1' => 'Main AdSense Ad Float {radio|float:right; padding-bottom:6px; padding-left:4px;|Float Right|float:left; padding-bottom:6px; padding-right:4px;|Float Left} ## Float the main AdSense ad to the left or right<br /><br />',
'gadUIfeature' => 'AdSense Rounded Corners {radio|0|square corners|6|slightly rounded|10|very rounded} ## Choose the AdSense border corner type<br /><br />',
'altads' => 'Alternate AdSense Ad URL ## URL to your alternative ads page (leave blank if you dont have one).<br /><br />See <a href="http://www.webreference.com/html/reference/color/websafe.html" target="_blank"><strong>WebSafe Colour Codes</strong></a> for the following settings.',
'gadGoogleborder' => 'AdSense Outer Border ## AdSense Outer border colour',
'gadGooglebg' => 'AdSense Background ## AdSense Background colour',
'gadGooglelink' => 'AdSense Anchor Text ## AdSense Colour of the anchor text of the underlined link at the top of an ad',
'gadGoogleurl' => 'AdSense URL ## Colour of the URL at the bottom of text ads',
'gadGoogletext' => 'AdSense Text ## Main text colour',
'ADChan1' => 'AdSense Channel 1 ## Content ad floating main content',
'ADChan2' => 'AdSense Channel 2 ## Content ad sidebar',
'ADChan3' => 'AdSense Channel 3 ## Content ad bottom content',
'ADChan4' => 'AdSense Channel 4 ## Link ad bottom of first post',
'ADChan5' => 'AdSense Channel 5 ## Link ad sidebar',
'ADChan6' => 'AdSense Channel 6 ## Link ad above banner image<br /><br /><h3>Additional Clickbank Settings</h3>',
'adfloat2' => 'Main Clickbank Ad Float {radio|float:right; padding-bottom:6px; padding-left:4px;|Float Right|float:left; padding-bottom:6px; padding-right:4px;|Float Left} ## Float the main Clickbank ad to the left or right<br /><br />',
'clickbanktrack' => 'Clickbank Tracking ## Add tracking code',
'cbhopfeed_align' => 'Clickbank Align Ad ## Align the ad LEFT CENTER or RIGHT.',
'cbhopfeed_fill_slots' => 'Clickbank Fill All Ads ## Fill all ad spots true or false.',
'cbhopfeed_cellpadding' => 'Clickbank Ad Padding ## Used to buffer the text from the ad border.',
'cbhopfeed_font' => 'Clickbank Font ## Font type',
'cbhopfeed_font_size' => 'Clickbank Font size ## Font size<br /><br />See <a href="http://www.webreference.com/html/reference/color/websafe.html" target="_blank"><strong>WebSafe Colour Codes</strong></a> for the following settings.',
'cbhopfeed_font_color' => 'Clickbank Font Color ## Main ad text font color',
'cbhopfeed_link_font_color' => 'Clickbank Link Text Color ## Ad link text color',
'cbhopfeed_link_font_hover_color' => 'Clickbank Link Text Color Hovering ## Ad link text color hovering',
'cbhopfeed_background_color' => 'Clickbank Background Color ## Background color of ads',
'cbhopfeed_border_color' => 'Clickbank Border Color ## Border color around your CB ads.<h3>Misc AdSense/Clickbank Settings</h3>',
'secondadpost' => 'Post Number for Secondary Ad {radio|1|Post 2|2|Post 3|3|Post 4|4|Post 5|5|Post 6|6|Post 7|7|Post 8|8|Post 9|9|Post 10} ## On archive pages, home, category, tags etc... which post shows the secondary floating ad.<br /><br />',
'firstadscb' => 'Clickbank or AdSense First {radio|1|AdSense 1st/Clickbank 2nd|2|Clickbank 1st/AdSense 2nd} ## Have AdSense or Clickbank as the first main content ad on posts, pages etc... Set to Clickbank IF AdSense is disabled.<br /><br /><h3>Google Analytics</h3>',
'ganalytics' => 'Google Analytics On/Off {radio|1|Google Analytics ON|0|Google Analytics OFF} ## Turn Google analytics tracking on/off. Sign up free for <a href="http://www.google.com/analytics/" target="_blank">Google Analytics</a> website tracking<br /><br />',
'ganalyticsua' => 'Google Analytics UA Code ## Copy the UA code (format"UA-8249716-1") for your site. Note: The default analytic tracking settings for a single domain are used with this theme.<br /><br /><h3>General Talian Options</h3>',
'themecolor' => 'Theme Colour {radio|original|Original|blue|Blue|blue-orange|Blue Orange|brown|Brown|green|Green|grey|Grey|red|Red|yellow|Yellow} ## Choose a theme colour.<br /><br />',
'bannerson' => 'Banners On/Off {radio|1|Banners ON|0|Banners OFF} ## Turn banners on or off.<br /><br />',
'bannerset' => 'Banner Set {radio|original|Original|arty|Arty|birds|Birds|chocolate|Chocolate|exercise|Exercise|fun|Fun|insects|Insects|money|Money|night|Night|plants|Plants|custom|Custom} ## Choose a banner set.<br /><br />',
'bannersize' => 'Banner Set Size ## When using the custom setting above or when adding new images to a set type in the number of banners youve added to the /custom/ folder (see readme files)',
'homelinkon' => 'Home Page Link On/Off {radio|1|Home Navigation Link ON|0|Home Navigation Link OFF} ## Turn the home page link on the navigation menu on or off. Turn off if your pages dont all fit or the title of your blog is quite long.<br /><br />',
'navmenuon' => 'Navigation Menu On/Off {radio|1|Navigation Menu ON|0|Navigation Menu OFF} ## Turn the navigation menu on/off. If you have a LOG of blog Pages might be easier to turn this off than using the exclude option below.<br /><br />',
'pageexclude' => 'Navigation Menu Excludes ## The top navigation menu can become crowded exclude pages here (see readme files)<br /><br />',
'dateson' => 'Dates On/Off {radio|1|Dates ON|0|Dates OFF} ## Turn post dates on or off. Useful for non-blog like sites.<br /><br />',
'authorlinkon' => 'Comment Author Links On/Off {radio|1|Author Links ON|0|Author Links OFF} ## Turn the ability for your commenters to add a backlink to their site when adding a comment on or off. This setting stops author links from being ADDED.<br /><br />',
'authorlinkshowon' => 'Show Comment Author Links On/Off {radio|1|Show Author Links ON|0|Show Author Links OFF} ## Want to hide your commenters author links select Show Author Links OFF. This setting stops author links from being SHOWN.<br /><br />',
'talianlink' => 'Talian Backlink On/Off {radio|1|Backlink ON|0|Backlink OFF} ## Turn the "powered by <a href="http://www.google-adsense-templates.co.uk/wordpress-theme-talian-with-adsense-and-seo-optimisation.html">WordPress Theme Talian 5</a>" footer backlink and the WordPress footer image on or off.',
#'debug' => 'debug',
	),
	__FILE__
);

function adsenseonoff() {
global $mytalian;
return $mytalian->option['adsenseonoff'];
}

function gadsensepub() {
global $mytalian;
return $mytalian->option['gadsensepub'];
}

function gadGoogleborder() {
global $mytalian;
return $mytalian->option['gadGoogleborder'];
}

function gadGooglebg() {
global $mytalian;
return $mytalian->option['gadGooglebg'];
}

function gadGooglelink() {
global $mytalian;
return $mytalian->option['gadGooglelink'];
}

function gadGoogleurl() {
global $mytalian;
return $mytalian->option['gadGoogleurl'];
}

function gadGoogletext() {
global $mytalian;
return $mytalian->option['gadGoogletext'];
}

function gadUIfeature() {
global $mytalian;
return $mytalian->option['gadUIfeature'];
}

function adfloat1() {
global $mytalian;
return $mytalian->option['adfloat1'];
}

function altads() {
global $mytalian;
return $mytalian->option['altads'];
}

function ADChan1() {
global $mytalian;
return $mytalian->option['ADChan1'];
}

function ADChan2() {
global $mytalian;
return $mytalian->option['ADChan2'];
}

function ADChan3() {
global $mytalian;
return $mytalian->option['ADChan3'];
}

function ADChan4() {
global $mytalian;
return $mytalian->option['ADChan4'];
}

function ADChan5() {
global $mytalian;
return $mytalian->option['ADChan5'];
}

function ADChan6() {
global $mytalian;
return $mytalian->option['ADChan6'];
}

function clickbankonoff() {
global $mytalian;
return $mytalian->option['clickbankonoff'];
}

function clickbankID() {
global $mytalian;
return $mytalian->option['clickbankID'];
}

function clickbanktrack() {
global $mytalian;
return $mytalian->option['clickbanktrack'];
}

function cbhopfeed_font() {
global $mytalian;
return $mytalian->option['cbhopfeed_font'];
}

function cbhopfeed_font_size() {
global $mytalian;
return $mytalian->option['cbhopfeed_font_size'];
}

function cbhopfeed_font_color() {
global $mytalian;
return $mytalian->option['cbhopfeed_font_color'];
}

function cbhopfeed_link_font_color() {
global $mytalian;
return $mytalian->option['cbhopfeed_link_font_color'];
}

function cbhopfeed_link_font_hover_color() {
global $mytalian;
return $mytalian->option['cbhopfeed_link_font_hover_color'];
}

function cbhopfeed_background_color() {
global $mytalian;
return $mytalian->option['cbhopfeed_background_color'];
}

function cbhopfeed_border_color() {
global $mytalian;
return $mytalian->option['cbhopfeed_border_color'];
}

function cbhopfeed_align() {
global $mytalian;
return $mytalian->option['cbhopfeed_align'];
}

function cbhopfeed_fill_slots() {
global $mytalian;
return $mytalian->option['cbhopfeed_fill_slots'];
}

function cbhopfeed_cellpadding() {
global $mytalian;
return $mytalian->option['cbhopfeed_cellpadding'];
}

function adfloat2() {
global $mytalian;
return $mytalian->option['adfloat2'];
}

function secondadpost() {
global $mytalian;
return $mytalian->option['secondadpost'];
}

function firstadscb() {
global $mytalian;
return $mytalian->option['firstadscb'];
}

function themecolor() {
global $mytalian;
return $mytalian->option['themecolor'];
}

function bannerson() {
global $mytalian;
return $mytalian->option['bannerson'];
}

function bannerset() {
global $mytalian;
return $mytalian->option['bannerset'];
}

function bannersize() {
global $mytalian;
return $mytalian->option['bannersize'];
}

function talianlink() {
global $mytalian;
return $mytalian->option['talianlink'];
}

function ganalytics() {
global $mytalian;
return $mytalian->option['ganalytics'];
}

function ganalyticsua() {
global $mytalian;
return $mytalian->option['ganalyticsua'];
}

function homelinkon() {
global $mytalian;
return $mytalian->option['homelinkon'];
}

function navmenuon() {
global $mytalian;
return $mytalian->option['navmenuon'];
}

function pageexclude() {
global $mytalian;
return $mytalian->option['pageexclude'];
}

function dateson() {
global $mytalian;
return $mytalian->option['dateson'];
}

function authorlinkon() {
global $mytalian;
return $mytalian->option['authorlinkon'];
}

function authorlinkshowon() {
global $mytalian;
return $mytalian->option['authorlinkshowon'];
}

if (!$mytalian->is_installed()) { 
$set_defaults['adsenseonoff'] = '1';
$set_defaults['gadsensepub'] = 'pub-8325072546567078'; 
$set_defaults['gadGoogleborder'] = 'FFFFFF';
$set_defaults['gadGooglebg'] = 'FFFFFF';
$set_defaults['gadGooglelink'] = '000000';
$set_defaults['gadGoogleurl'] = '4D4D4D';
$set_defaults['gadGoogletext'] = '4D4D4D';
$set_defaults['gadUIfeature'] = '0';
$set_defaults['adfloat1'] = 'float:right; padding-bottom:6px; padding-left:4px;';
$set_defaults['secondadpost'] = '4';
$set_defaults['firstadscb'] = '1';
$set_defaults['clickbankonoff'] = '0';
$set_defaults['clickbankID'] = 'morearning';
$set_defaults['clickbanktrack'] = 'GAT';
$set_defaults['cbhopfeed_font'] = 'Arial';
$set_defaults['cbhopfeed_font_size'] = '12px';
$set_defaults['cbhopfeed_font_color'] = '4D4D4D';
$set_defaults['cbhopfeed_link_font_color'] = '000000';
$set_defaults['cbhopfeed_link_font_hover_color'] = '6A6A6A';
$set_defaults['cbhopfeed_background_color'] = 'FFFFFF';
$set_defaults['cbhopfeed_border_color'] = 'FFFFFF';
$set_defaults['cbhopfeed_align'] = 'LEFT';
$set_defaults['cbhopfeed_fill_slots'] = 'true';
$set_defaults['cbhopfeed_cellpadding'] = '2';
$set_defaults['adfloat2'] = 'float:left; padding-bottom:6px; padding-right:4px;';
$set_defaults['themecolor'] = 'original';
$set_defaults['bannerson'] = '1';
$set_defaults['bannerset'] = 'original';
$set_defaults['bannersize'] = '10';
$set_defaults['talianlink'] = '1';
$set_defaults['ganalytics'] = '0';
$set_defaults['homelinkon'] = '1';
$set_defaults['navmenuon'] = '1';
$set_defaults['dateson'] = '0';
$set_defaults['authorlinkon'] = '1';
$set_defaults['authorlinkshowon'] = '1';
$result = $mytalian->store_options($set_defaults); 
} 
?>